%define name penggy
%define version 0.2.1
%define release %mkrel 9

Summary:	UNIX client for AOL
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Networking/Remote access
License:	GPL
URL:		http://peng.apinc.org
Source:		http://download.penggy.org/sources/%{name}-%{version}.tar.bz2
Patch0:		penggy-modem.patch
Patch1:		penggy-0.2.1-link.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	guile-devel
BuildRequires:	gettext-devel

%description
Penggy is a free UNIX client for AOL. It allows UNIX users to connect
to the Internet using AOL, through an IP tunneling system.

%prep
%setup -q
%patch0 -p1
%patch1 -p0 -b .link

%build
autoreconf -fi
%configure2_5x --target="" --enable-dsl --enable-flap --enable-cable

%make

%install
rm -fr %buildroot
%makeinstall_std
%find_lang %{name}

%post
# script for launch of tun. Important, tun is available as module with mdk9.0
# launch tun if it is'nt still
if ! (lsmod | grep -q tun) then
  echo "Launching tun."; modprobe tun; result=$?
  if [ "$result" ]; then
    echo "Error launching tun !"
  fi
else
  echo "Tun module is still running."
fi
# initialise launching of tun at boot time
if ! (grep -q tun -r /etc/modules) then
  echo "Adding tun in /etc/modules ."
  echo tun >> /etc/modules
else
  echo "Tun already in /etc/modules, nothing to do."
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_sbindir}/%{name}
%{_datadir}/%{name}/chat/*
%defattr(-,root,root,0755)
%doc COPYING DISCLAIMER INSTALL README TODO
%config(noreplace) %{_sysconfdir}/%{name}/*



%changelog
* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-9mdv2011.0
+ Revision: 614492
- the mass rebuild of 2010.1 packages

* Tue Feb 09 2010 Funda Wang <fwang@mandriva.org> 0.2.1-8mdv2010.1
+ Revision: 502608
- BR gettext-devel
- fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.2.1-5mdv2008.1
+ Revision: 171021
- rebuild
- summary is not licence tag
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.2.1-4mdv2008.1
+ Revision: 131088
- kill re-definition of %%buildroot on Pixel's request
- import penggy


* Mon Jan 16 2006 Lenny Cartier <lenny@mandriva.com> 0.2.1-4mdk
- rebuild with patch from Dale Parquette <ParquetteD@aol.com> :
- Issues resolved:
- 1. Fixed late exiting of nested loops.
- 2. The modem now hangs-up the phone between dial-in attempts.
- 3. The previously unused MODEM_RETRY_DELAY parm is now coded.
- 4. Retrying of a given telephone number now agrees with penggy.cfg file.


* Tue Jan 03 2006 Lenny Cartier <lenny@mandriva.com> 0.2.1-3mdk
- rebuild

* Fri Jan  2 2004 Pixel <pixel@mandrakesoft.com> 0.2.1-2mdk
- rebuild for libguile12
- no need for requiring old libguile

* Wed Apr 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- from Carlier Laurent <lordheavy@infonie.fr> :
	- New version
